<?php

    session_start();
    $admin_root = "..";
    $site_root = "../..";

    // ====== Load Functions Libraries ======

    require "$admin_root/repository/functions.php";
    require "$admin_root/repository/cms.php";
    require "$admin_root/repository/xml.php";
    $login = "$admin_root/login.php";
    require "$admin_root/modules/_security.php";

?>

<!doctype html>
<html lang='<?php echo $_SESSION["admin_lang"]; ?>'>
	<head>
		<meta charset="UTF-8">
		<title>X.able CMS / TMP file delete</title>
		<link href='http://fonts.googleapis.com/css?family=Lato:100,300,400,700,900|Inconsolata:400,700|Audiowide&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
        <link rel="stylesheet" type="text/css" href="<?php echo "$admin_root/_tools/_tools.css" ?>" />
        <style></style>
    </head>
    <body>
        <button class='close' onclick="self.close()">X</button>
        
<?php
    
    function tmpFilesDelete($root) {
        $deleted = [];
        foreach(filesTree($root, ".") as $path) {
            $ext = path($path, "extension");
            if(strstr($ext, "_tmp_random_file")) {
                unlink($path);
                $deleted[] = $path;
                echo "[Deleted:] \"$path\"<br>\n";
            }
        }
        if(count($deleted) > 0) {
            echo "<hr><p>".count($deleted)." files deleted.</p>\n";
        }
        else {
            echo "<p>Nothing to delete found.</p>\n";
        }
    }
        
    echo "<h1>TMP file delete</h1><hr>\n";
    if(isset($_POST["action"]) && $_POST["action"] == "delete") {
        tmpFilesDelete($site_root);
    }
    else {
        echo "<form method='post'>\n";
        echo "<p>Delete all \".&lt;id&gt;_tmp_random_file\" dumps.</p>\n";
        echo "<button name='action' value='delete' type='submit'>Submit</button>\n";
        echo "</form>\n";
    };

?> 
        
    </body>
</html>